#modal-overlay {
    background-color: rgba(134, 134, 134, 0.8);
    position: fixed;
    top: 0;
    left: 0;
    height: 100%;
    width: 100%;
}

.modal {
    box-sizing: border-box;
    max-height: calc(100% - 80px);
    position: fixed;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    display: flex;
    flex-direction: column;
    line-height: 24px;
    width: 280px;
    padding: 12px 20px 30px 20px;
    font-size: 13px;
    border-radius: 2px;
    box-shadow: 5px 5px 8px #777, -5px -5px 8px #777;
    background: white;
}

.modal h3 {
    margin-top: 10px;
    margin-bottom: 20px;
    font-weight: normal;
    font-size: 22px;
    line-height: 120%;
}

.modal .content {
    padding: 10px 0 30px;
    overflow-y: scroll;
}
.modal .note {
    line-height: 140%;
    word-wrap: break-word;
    opacity: 0.7;
    font-size: 14px;
}
.modal .subm {
    display: flex;
    justify-content: space-around;
}
.modal button {
    width: 50%;
    padding: 10px 5px;
    border-radius: 2px;
    text-transform: uppercase;
    font-size: 14px;
}
.modal button.btn-red {
    background-color: var(--main-color);
    color: white;
}
.modal button.btn-red:hover {
    background-color: var(--main-color-hover);
}
.modal button.btn-red:active {
    background-color: var(--main-color-active);
}
.modal button.btn-cancel {
    opacity: .8;
    background-color: transparent;
}
.modal button.btn-cancel:hover {
    opacity: 1;
}

button.btn-red.btn_close:disabled {
    background: grey;
}

/*  status [ success, error ] for modal  */
.modal .status-attention,
.modal .status-success,
.modal .status-error {
    display: flex;
    flex-direction: column;
    align-items: center;
    text-align: center;
}

.modal .icon-status {
    margin: 10px 0 20px 0;
    height: 60px;
    width: 60px;
    background-size: cover;
    position: relative;
}

.modal .icon-status::before {
    content: '';
    width: 70px;
    height: 70px;
    border-radius: 50%;
    box-shadow: 0px 0px 5px 0px rgba(0,0,0,0.33);
    position: absolute;
    top: -5px;
    left: -5px;
}

.modal p {
    line-height: 16px;
}
/*  custom modal box style */
.modal .box {
    line-height: 15px;
    opacity: 0.7;
    font-size: 15px;
    text-align: center;
}

@media screen and (min-width: 768px){
    #modal-overlay {
        position: absolute;
    }

    .modal {
        padding: 10px 15px;
        position: absolute;
        width: 240px;
    }

    .modal h3 {
        margin-top: 0;
        margin-bottom: 10px;
        font-size: 18px;
        line-height: 100%;
    }

    .modal .content {
        padding: 10px 0 20px;
    }

    .modal .note {
        line-height: 120%;
        font-size: 12px;
    }

    .modal button {
        font-size: 12px;
    }

    .modal .icon-status {
        height: 50px;
        width: 50px;
    }

    .modal .icon-status::before {
        width: 60px;
        height: 60px;
    }

    .modal .box {
        line-height: 12px;
        font-size: 12px;
    }
}
